Skip to main content
PATCH
/
api
/
v1
/
email
/
drafts
/
{messageId}
Edit an email draft
curl --request PATCH \
  --url https://prod.featherhq.com/api/v1/email/drafts/{messageId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "bodyText": "<string>",
  "bodyHtml": "<string>"
}
'
{
  "id": "<string>",
  "threadId": "<string>",
  "bodyText": "<string>",
  "bodyHtml": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

messageId
string<uuid>
required

Body

application/json
bodyText
string
bodyHtml
string

Response

Draft updated

id
string
required
threadId
string
required
direction
enum<string>
required
Available options:
INBOUND,
OUTBOUND
status
enum<string>
required
Available options:
QUEUED,
SENDING,
SENT,
DELIVERED,
OPENED,
BOUNCED,
FAILED,
SPAM,
RECEIVED,
DRAFT
bodyText
string | null
required
bodyHtml
string | null
required
createdAt
string
required
updatedAt
string
required